<?php
require('path.inc.php');

try {
	$uc_db = new DataSource(UC_DBHOST , UC_DBUSER , UC_DBPW , UC_DBNAME, 'mysql', true );
	$uc_query = new DbQueryForMysql($uc_db);

} catch (DbException $e) {
	// 数据库出错处理处
	exit('Database support needed');
}

$sql ="select * from fke_member where status =0";
$query->open($sql);

while ($rs = $query->next()) {
	$data = $uc_query->getValue("SELECT * FROM ".UC_DBTABLEPRE."members WHERE username='".$rs['username']."'");
	if($data) {
		$ucuserlist .="username:".$rs['username']."	email:".$rs['email']."\r\n";
	} else {
		$salt = substr(uniqid(rand()), -6);
		$password = md5($rs['passwd'].$salt);
		
		$uc_query->execute("INSERT INTO ".UC_DBTABLEPRE."members SET uid= '".$rs['id']."', username='".$rs['username']."', password='$password', email='".$rs['email']."', lastlogintime ='".$rs['last_login']."', regdate='".$rs['add_time']."', salt='$salt'");
		$uc_query->execute("INSERT INTO ".UC_DBTABLEPRE."memberfields SET uid='".$rs['id']."'");
	}
	
}
print_r("用户导入Ucenter完成");
exit;
?>